vfregularizerkernel.hh File Reference
`#include <mia/core/factory.hh>`
`#include <mia/3d/vectorfield.hh>`
Include dependency graph for 3d/vfregularizerkernel.hh:

Go to the source code of this file.

## Data Structures

class | C3DFVectorfieldRegularizerKernel
class | C3DFVectorfieldRegularizerKernel::CBuffers

## Typedefs

typedef TFactory< C3DFVectorfieldRegularizerKernel > | C3DFVectorfieldRegularizerKernelPlugin
typedef THandlerSingleton< TFactoryPluginHandler< C3DFVectorfieldRegularizerKernelPlugin > > | C3DFVectorfieldRegularizerKernelPluginHandler
typedef C3DFVectorfieldRegularizerKernel::Pointer | P3DVectorfieldRegularizerKernel

## Variables

template class EXPORT_3D | TFactory< C3DFVectorfieldRegularizerKernel >
template class EXPORT_3D | TFactoryPluginHandler< C3DFVectorfieldRegularizerKernelPlugin >
template class EXPORT_3D | THandlerSingleton< TFactoryPluginHandler< C3DFVectorfieldRegularizerKernelPlugin > >
template<>
const char *const | TPluginHandler< C3DFVectorfieldRegularizerKernelPlugin >::m_help

## Typedef Documentation

## C3DFVectorfieldRegularizerKernelPlugin

typedef TFactory<C3DFVectorfieldRegularizerKernel> C3DFVectorfieldRegularizerKernelPlugin

Definition at line 157 of file 3d/vfregularizerkernel.hh.

## C3DFVectorfieldRegularizerKernelPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C3DFVectorfieldRegularizerKernelPlugin> > C3DFVectorfieldRegularizerKernelPluginHandler

Definition at line 159 of file 3d/vfregularizerkernel.hh.

## P3DVectorfieldRegularizerKernel

typedef C3DFVectorfieldRegularizerKernel::Pointer P3DVectorfieldRegularizerKernel

Definition at line 155 of file 3d/vfregularizerkernel.hh.

## Variable Documentation

## TFactory< C3DFVectorfieldRegularizerKernel >

template class EXPORT_3D TFactory< C3DFVectorfieldRegularizerKernel >

extern

## TFactoryPluginHandler< C3DFVectorfieldRegularizerKernelPlugin >

template class EXPORT_3D TFactoryPluginHandler< C3DFVectorfieldRegularizerKernelPlugin >

extern

## THandlerSingleton< TFactoryPluginHandler< C3DFVectorfieldRegularizerKernelPlugin > >

template class EXPORT_3D THandlerSingleton< TFactoryPluginHandler< C3DFVectorfieldRegularizerKernelPlugin > >

extern

## TPluginHandler< C3DFVectorfieldRegularizerKernelPlugin >::m_help

template<>

const char* const TPluginHandler< C3DFVectorfieldRegularizerKernelPlugin >::m_help

Definition at line 162 of file 3d/vfregularizerkernel.hh.